#include <genesis.h>

#include "resources.h"

int main()
{
    Sprite* sprite;

    SYS_disableInts();
    {
       SPR_init(0, 0, 0);

        u16 attribute = TILE_ATTR(0, TRUE, FALSE, FALSE);
        u16 flags =      SPR_FLAG_AUTO_VISIBILITY
                    // | SPR_FLAG_FAST_AUTO_VISIBILITY
                    // | SPR_FLAG_AUTO_VRAM_ALLOC // not used
                       | SPR_FLAG_AUTO_SPRITE_ALLOC
                       | SPR_FLAG_AUTO_TILE_UPLOAD;

        sprite = SPR_addSpriteEx(&sprite_SGDK_SpriteTest, 320,  80, attribute, 0, flags);
        SPR_setVRAMTileIndex(sprite, TILE_USERINDEX);
        SPR_setFrame(sprite, 0);
        SPR_update();
    }
    SYS_enableInts();

    VDP_drawText("SGDK Sprite Test", 0, 0);

    while (1)
    {
        for (s16 x=320; x>-320; x--)
        {
            VDP_waitVSync();

            SPR_setPosition(sprite, x, 80);
            SPR_update();
        }
    }
}